/// Firebase Emulator constants.
///
/// If you don't use Firebase, it can be safely deleted.
abstract class Emulator {
  static const String firebaseCloudFunctionEnvKey =
      'FIREBASE_EMULATOR_CLOUD_FUNCTION_PORT';
  static const String firebaseFirestoreEnvKey =
      'FIREBASE_EMULATOR_FIRESTORE_PORT';
  static const String firebaseAuthEnvKey = 'FIREBASE_EMULATOR_AUTH_PORT';
  static const String firebaseStorageEnvKey = 'FIREBASE_EMULATOR_STORAGE_PORT';
  static const String hostEnvKey = 'FIREBASE_EMULATOR_HOST';

  static const int defaultFirebaseCloudFunctionPort = 5001;
  static const int defaultFirebaseFirestorePort = 8080;
  static const int defaultFirebaseAuthPort = 9099;
  static const int defaultFirebaseStoragePort = 9199;
  static const defaultHost = 'localhost';
}
